%{!?perlgen:%define perlgen 5.8}
Summary: RPM2 Perl module
Name: perl-RPM2
Source0: RPM2-%{version}.tar.gz
Version: 0.68
Release: 38%{?dist}
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/RPM2/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')

BuildRequires: rpm-devel
BuildRequires: perl(ExtUtils::MakeMaker)
%if "%{perlgen}" == "5.8"
BuildRequires: perl >= 2:5.8.0
BuildRequires: elfutils-libelf-devel
BuildRequires: libselinux-devel
BuildRequires: zlib-devel
%else
BuildRequires: perl >= 1:5.6.0
%endif

%description
%{summary}.

%prep
%setup -q -n RPM2-%{version}

%build
export EXTRALIBS="-lz"
%if "%{perlgen}" == "5.8"
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
%else
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%endif

make OPTIMIZE="$RPM_OPT_FLAGS"
%if 0%{?rhel} && 0%{?rhel} > 5
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib

%if "%{perlgen}" == "5.8"
make install
%else
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}
%endif

rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)

%changelog
* Fri Apr 22 2011 Michael Mraka <michael.mraka@redhat.com> 0.68-38
- fixed missing BuildRequires: perl(ExtUtils::MakeMaker)

* Fri Feb 25 2011 Tomas Lestach <tlestach@redhat.com> 0.68-35
- let's go back to the 0.68-34 (tlestach@redhat.com)

* Wed Oct 20 2004 Chip Turner <cturner@redhat.com> 0.63
- rebuild

* Wed Oct 22 2003 Chip Turner <cturner@redhat.com> - 0.63-1
- Specfile autogenerated.

